Package Details: r-ggplot2 3.3.2-1

Git Clone URL: https://aur.archlinux.org/r-ggplot2.git (read-only, click to copy)
Package Base: r-ggplot2
Description: Create Elegant Data Visualisations Using the Grammar of Graphics
Upstream URL: https://cran.r-project.org/package=ggplot2
Licenses: GPL2
Submitter: frichtlm
Maintainer: dviktor
Last Packager: dviktor
Votes: 3
Popularity: 0.007503
First Submitted: 2018-05-31 00:21
Last Updated: 2020-06-19 14:50

Dependencies (31)

Required by (35)

Sources (1)

Latest Comments

chn commented on 2020-06-01 08:38

Please apply the following patch:

diff --git a/PKGBUILD b/PKGBUILD
index 678b51f..cea45c9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
 # Contributor: wagnerflo <florian@wagner-flo.net>

 _cranname=ggplot2
-_cranver=3.3.0
+_cranver=3.3.1
 pkgname=r-${_cranname,,}
 pkgver=${_cranver//[:-]/.}
 pkgrel=1
@@ -14,7 +14,7 @@ license=(GPL2)
 depends=('r>=3.2' r-digest r-glue 'r-gtable>=0.1.1' r-isoband 'r-rlang>=0.3.0' 'r-scales>=0.5.0' r-tibble 'r-withr>=2.0.0')
 optdepends=(r-covr r-dplyr r-ggplot2movies r-hexbin r-hmisc r-knitr r-lattice r-mapproj r-maps r-maptools r-multcomp r-munsell r-profvis r-quantreg r-rgeos r-rmarkdown r-rpart r-sf r-svglite r-testthat r-vdiffr)
 source=("https://cran.r-project.org/src/contrib/${_cranname}_${_cranver}.tar.gz")
-md5sums=('a25941cbd03f34549c60c7e40780bef0')
+md5sums=('913361570793b7409a4ca5c5b6ec2ed2')

 build() {
   cd "${srcdir}"

plgruener commented on 2019-09-18 19:32

I cannot build this, as CRAN has updated to version 3.2.1 (and moved the old source to https://cran.r-project.org/src/contrib/Archive/ggplot2/ggplot2_3.2.0.tar.gz). Please fix the PGKBUILD!

greyltc commented on 2019-07-29 23:03

It seems that mgcv is included in r now and so I've requested the deletion of my r-mgcv package from the AUR.

frichtlm commented on 2019-07-28 19:19

The CRAN page has 'mgcv' listed as being imported by this package now. I think its inclusion here as a dependency is correct.

greyltc commented on 2019-07-27 15:41

I think the r-mgcv dependency here is wrong

frichtlm commented on 2018-08-13 15:11

I don't manage the r-scales package, so please post your issues with downloading and its PKGBUILD on the appropriate page.

ruestique commented on 2018-08-12 21:10

_cranver=1.0.0
md5sums=('SKIP')

fix r-scales/PKGBUILD plz

ruestique commented on 2018-08-12 20:49

Error downloading sources: r-scales

~_~

Anonymous comment on 2018-06-11 14:13

You can replace r-cran-scales with just r-scales in depends

Anonymous comment on 2018-05-30 14:35

gtable is available as r-gtable